package com.bb.service;

import java.util.HashMap;
import java.util.List;

import com.bb.model.Game;

import org.codehaus.jettison.json.JSONException;
import org.codehaus.jettison.json.JSONObject;

public interface SvendorService {

	JSONObject getDetail(HashMap betInfo)  throws JSONException;
	
	JSONObject create(String LOG_PREFIX, HashMap<String, String> apiInfo);
	List<Game> gameList(String LOG_PREFIX, HashMap<String, String> apiInfo);
	String playUrl(String LOG_PREFIX, HashMap<String, String> apiInfo);
	JSONObject getDetail(String LOG_PREFIX, HashMap<String, String> apiInfo);
}
